Skip to main content
`Ctrl`+`K`

# PetscViewerStringOpen

Opens a string as a `PETSCVIEWERSTRING` `PetscViewer`. This is a very simple `PetscViewer`; information on the object is simply stored into the string in a fairly nice way.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerStringOpen(MPI_Comm comm, char string[], size_t len, PetscViewer *lab) PeNS

Collective; No Fortran Support

## Input Parameters

- comm - the communicator

- string - the string to use

- len - the string length

## Output Parameter

- lab - the `PetscViewer`

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERSTRING`, `PetscViewerDestroy()`, `PetscViewerStringSPrintf()`, `PetscViewerStringGetStringRead()`, `PetscViewerStringSetString()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/string/stringv.c

## Examples

src/ksp/ksp/tutorials/ex72.c
src/ts/tutorials/ex3.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages